UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo Class Reference

## Public Member Functions
| LBMSourceEventSequenceNumberInfo ()
| LBMSourceEventSequenceNumberInfo (int flags, long firstSeqNum, long lastSeqNum, Object clientd) throws LBMEInvalException
int | flags ()
long | firstSequenceNumber ()
long | lastSequenceNumber ()
Object | clientObject ()

## Detailed Description

LBM Source Event Sequence Number Info class. Contains first and last sequence numbers and client-supplied callback object.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.LBMSourceEventSequenceNumberInfo | ( |  | ) |

Creates an LBMSourceEventSequenceNumberInfo object with all fields initialized to 0/null.

Since
  UME 2.0

com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.LBMSourceEventSequenceNumberInfo | ( | int | flags,
|  | long | firstSeqNum,
|  | long | lastSeqNum,
|  | Object | clientd
| ) |  | throws LBMEInvalException

Creates an LBMSourceEventSequenceNumberInfo with fields initialized to the given values.

Parameters

  flags | Flags concerning when sequence number messages are sent.
  firstSeqNum | First sequence number (must be >= 0).
  lastSeqNum | Last sequence number (must be >= 0).
  clientd | Client-supplied callback object.

Exceptions

  LBMEInvalException | if firstSeqNum or lastSeqNum are < 0.

Since
  UME 2.0

References com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.flags().

## Member Function Documentation

Object com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.clientObject | ( |  | ) |

Get the client-supplied callback object.

Returns
  Client-supplied object.

References com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.flags().

long com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.firstSequenceNumber | ( |  | ) |

Get the first sequence number.

Returns
  The first sequence number.

Since
  UME 2.0

int com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.flags | ( |  | ) |

Get sequence number message flags.

Returns
  Flags indicating when sequence number messages are sent.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.clientObject(), and com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.LBMSourceEventSequenceNumberInfo().

long com.latencybusters.lbm.LBMSourceEventSequenceNumberInfo.lastSequenceNumber | ( |  | ) |

Get the last sequence number.

Returns
  The last sequence number.

Since
  UME 2.0

The documentation for this class was generated from the following file:

- LBMSourceEventSequenceNumberInfo.java